Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.dbsync
Class ThrowOnPartialOrCreateSchemaStrategy

    java.lang.Object
      org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy
          org.apache.cayenne.access.dbsync.ThrowOnPartialSchemaStrategy
              org.apache.cayenne.access.dbsync.ThrowOnPartialOrCreateSchemaStrategy

All Implemented Interfaces:
  SchemaUpdateStrategy

    public class ThrowOnPartialOrCreateSchemaStrategy

extends ThrowOnPartialSchemaStrategy

Since:
  3.0

Field Summary

Fields inherited from class org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy
`run, threadRunInProgress`

Constructor Summary
`ThrowOnPartialOrCreateSchemaStrategy()`

Method Summary
`protected void` | `processSchemaUpdate(DataNode dataNode, java.util.List<java.lang.String> mergerOnlyTable, java.lang.String errorMessage, int entitiesSize)`

Methods inherited from class org.apache.cayenne.access.dbsync.ThrowOnPartialSchemaStrategy
`processSchemaUpdate`

Methods inherited from class org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy
`updateSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThrowOnPartialOrCreateSchemaStrategy

    public ThrowOnPartialOrCreateSchemaStrategy()

Method Detail

### processSchemaUpdate

    protected void processSchemaUpdate(DataNode dataNode,
                                       java.util.List<java.lang.String> mergerOnlyTable,
                                       java.lang.String errorMessage,
                                       int entitiesSize)
                                throws java.sql.SQLException

  Overrides:
    `processSchemaUpdate` in class `ThrowOnPartialSchemaStrategy`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.